Bug 1112755 - dmidecode: Fix Redfish Hostname print length
dmidecode: Fix Redfish Hostname print length
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
x86-64 openSUSE Factory
: P3 - Medium : Normal (vote)
: ---
Assigned To: Jean Delvare
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-22 12:46 UTC by Jean Delvare
Modified: 2018-11-09 10:57 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean Delvare 2018-10-22 12:46:08 UTC
A printf format bug was reported in dmidecode 3.2. The bug happens when printing the Redfish Service Hostname field and can result in a buffer overrun. This could cause garbage characters to be printed, or even a crash.

Fix from upstream:

http://git.savannah.gnu.org/cgit/dmidecode.git/commit/?id=fde47bb227b8fa817c88d7e10a8eb771c46de1df

Older versions of dmidecode are not affected.
Comment 1 Swamp Workflow Management 2018-10-23 07:40:53 UTC
This is an autogenerated message for OBS integration:
This bug (1112755) was mentioned in
https://build.opensuse.org/request/show/643888 Factory / dmidecode
Comment 2 Swamp Workflow Management 2018-10-23 07:50:11 UTC
This is an autogenerated message for OBS integration:
This bug (1112755) was mentioned in
https://build.opensuse.org/request/show/643888 Factory / dmidecode
Comment 4 Jean Delvare 2018-11-09 10:57:36 UTC
Fix committed.